import { Router } from 'express';
import friendshipController from '../controllers/friendshipController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const friendshipRouter = Router();

friendshipRouter.use(authenticate);

friendshipRouter.post('/end', friendshipController.endFriendship); 
friendshipRouter.post('/accept', friendshipController.acceptFriendship); 
friendshipRouter.post('/reject', friendshipController.rejectFriendship); 
friendshipRouter.post('/withdraw', friendshipController.withdrawRequest);
friendshipRouter.get('/', friendshipController.getFriendships);

export default friendshipRouter;
